#include <X11/Xlib.h>

int main(int argc, char **argv)
{
    Display *disp;
    int dx=0, dy=0;

    while (argv++, argc-->1) {
	while (**argv) {
	    switch(**argv) {
		/* north, south, west, east */
	        case 'n': dy -= 10; break;
	        case 's': dy += 10; break;
	        case 'w': dx -= 10; break;
	        case 'e': dx += 10; break;
		/* North, South, West, East */
	        case 'N': dy -= 100; break;
	        case 'S': dy += 100; break;
	        case 'W': dx -= 100; break;
	        case 'E': dx += 100; break;
		/* vi keys for small movements */
	        case 'h': dx -= 2; break;
	        case 'j': dy += 2; break;
	        case 'k': dy -= 2; break;
	        case 'l': dx += 2; break;
	    }
	    argv[0]++;
	}
    }
    disp = XOpenDisplay(NULL);
    if (!disp) exit(1);

    XWarpPointer(disp, None, None, 0, 0, 0, 0, dx, dy);
    XCloseDisplay(disp);
    exit(0);
}

/*
   Local Variables:
   compile-command: "gcc -Wall -ggdb warp.c -L/usr/X11R6/lib -lX11 -o warp"
   End:
*/
